Get issue by ID
curl --request GET \
--url https://api.example.com/api/issues/{deploymentId}/issue/{issueId} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.example.com/api/issues/{deploymentId}/issue/{issueId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.example.com/api/issues/{deploymentId}/issue/{issueId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"id": "<string>",
"deploymentId": "<string>",
"title": "<string>",
"description": "<string>",
"reasoning": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"lastDetectedAt": "2023-11-07T05:31:56Z",
"triagedAt": "2023-11-07T05:31:56Z",
"actions": [
"<string>"
],
"workflowIds": [
"<string>"
],
"identities": [
"<string>"
],
"triggerSources": [
"<string>"
],
"projectIds": [
"<string>"
],
"refIds": [
"<string>"
],
"filePaths": [
"<string>"
],
"dependencyPaths": [
"<string>"
],
"directDependencies": [
"<string>"
],
"domains": [
"<string>"
],
"cwes": [
"<string>"
],
"owasps": [
"<string>"
]
}
}Issues (Semgrep Agentic Workflows)
Get issue by ID
Get a Semgrep Agentic Workflows issue by ID.
GET
/
api
/
issues
/
{deploymentId}
/
issue
/
{issueId}
Get issue by ID
This endpoint is experimental. It may change or be removed without notice, and is not covered by API stability guarantees.
Authorizations
SemgrepWebTokenSemgrepJWT
Get access to data with your API token. Example header:
Authorization: Bearer 2991e2fb4b540fe75b8f90677b0b892b6314e4961cb001fe6eb452eee248a628
The token can be provisioned from the Tokens section in your Settings, and requires explicitly enabling Web API access.
Response
200 - application/json
OK
An issue generated by a Semgrep Agentic Workflow.
Show child attributes
Show child attributes
Was this page helpful?
⌘I